org.eclnt.jsfserver.rttools

## Class StreamStoreTreeUI.TreeNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.elements.impl.FIXGRIDTreeItem
    - - org.eclnt.jsfserver.rttools.StreamStoreTreeUI.TreeNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable, IFIXGRIDItem
  Enclosing class:
    StreamStoreTreeUI

      public class StreamStoreTreeUI.TreeNode
      extends FIXGRIDTreeItem
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDTreeItem

      `STATUS_CLOSED, STATUS_ENDNODE, STATUS_OPENED`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNode(FIXGRIDTreeItem parentNode, java.lang.String absPath, java.lang.String text, boolean isFolder, boolean alsoReadSubFolders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPopupMenu()`
    `void` | `onRowExecute()` Reaction on row executions in the client (double click, return key selection).
    `void` | `onToggle()` Event that is passed from the client when the user open/close a folder node.
    `void` | `processTREENDOEAction(ActionEvent event)` This is the central method that is called by default by client side TREENODE events.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDTreeItem

      `addSubNode, addSubNode, appendVisibleSubNodes, checkIfNodeHasAsParent, closeAllNodes, collapseNode, collapseNodeAndSubNodes, compareTo, expandNode, expandNodeAndSubNodes, getAllContainedNodes, getChildNodes, getImage, getLevel, getLevelInt, getParentNode, getRequestfocus, getStatus, getStatusInt, getText, moveSubNodeBehind, moveSubNodeInFront, moveSubNodeOneDown, moveSubNodeOneUp, moveSubNodesOneDown, moveSubNodesOneUp, moveSubNodeToFirst, moveSubNodeToLast, openAllParentNodes, removeAllChildNodes, removeAllChildNodes, removeNode, requestFocus, setImage, setLevel, setStatus, setText, toggleNode, toggleNodeAndScroll`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeNode

          public TreeNode(FIXGRIDTreeItem parentNode,
                          java.lang.String absPath,
                          java.lang.String text,
                          boolean isFolder,
                          boolean alsoReadSubFolders)

  - ### Method Detail

    - #### onToggle

          public void onToggle()

      Description copied from class: `FIXGRIDTreeItem`
      Event that is passed from the client when the user open/close a folder node. You may read sub-items into the tree as reaction. OVerride this method in your implementation.
      Overrides:
        `onToggle` in class `FIXGRIDTreeItem`

    - #### onRowExecute

          public void onRowExecute()

      Description copied from class: `FIXGRIDItem`
      Reaction on row executions in the client (double click, return key selection).
      Specified by:
        `onRowExecute` in interface `IFIXGRIDItem`
      Overrides:
        `onRowExecute` in class `FIXGRIDItem`

    - #### getPopupMenu

          public java.lang.String getPopupMenu()

    - #### processTREENDOEAction

          public void processTREENDOEAction(ActionEvent event)

      Description copied from class: `FIXGRIDTreeItem`
      This is the central method that is called by default by client side TREENODE events. It automatically handles the event "toggle". In case of enhancing a TREENODE (e.g. adding drag & drop onto TREENODE level) you need to override this method and add the behavior for the specific event. In any case you need to call this super-implementation within your implementation!
      Overrides:
        `processTREENDOEAction` in class `FIXGRIDTreeItem`

Copyright © CaptainCasa Gmbh. All Rights Reserved.